<template>
  <div>
    <h1 class="mb-3">Do you have any of the following medical conditions?</h1>
    <p class="text-base mb-6">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      @click="handleClick"
      text="Next"
      :disabled="!checkboxSelected.length"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin, referMixin} from "@/utils/mixins";
import CheckboxInput from "@/components/inputs/CheckboxInput";
import CommonBtn from "@/components/common/CommonBtn";
import {constants} from "@/constants";

export default {
  components: {CommonBtn, CheckboxInput},
  mixins: [answersMixin, checkboxMixin, referMixin],
  name: "YourHealth20",
  data() {
    return {
      choices: [
        'Heart disease', 'Diabetes',
        'Hyperlipidemia', 'Vascular disease',
        'Emotional problems', 'Hormone problems',
        'Kidney disease', 'Neurological problems',
        'Trauma or injury to the penis, pelvis, perineum, testes, or rectum', 'Prostate problems',
        'Urinary problems', 'Sleep apnea',
        'Chronic fatigue or weakness', 'Cancer',
        'Radiation of the bladder, Radiation of the bladder, prostate or rectum', 'Unexplained weight loss',
        'Joint pains', 'Sexually transmitted disease',
        constants.NONE_CHOICE,
      ],
      checkHandler: val => {
        val = this.filterChoices(val)
        this.checkboxSelected = val
        this.setAnswer(this.answersKeys.YOUR_HEALTH, val, 'stage_20')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.checkboxSelected.includes('Heart disease')) {
        this.setRefer('Sorry!', 'It appears you are not a good candidate for prescription ED medication through Rex MD. The medications we offer are not suitable for patients who suffer from heart disease.')
      } else if (this.checkboxSelected.includes('Trauma or injury to the penis, pelvis, perineum, testes, or rectum')) {
        this.setRefer('Sorry!', 'It appears you are not a good candidate for prescription ED medication through Rex MD. The medications we offer are not suitable for patients who’ve had trauma or injury in their genital region..')
      } else if (this.checkboxSelected.includes('Radiation of the bladder, Radiation of the bladder, prostate or rectum')) {
        this.setRefer('Sorry!', 'It appears you are not a good candidate for prescription ED medication through Rex MD. The medications we offer are not suitable for patients who have undergone radiation treatments in their bladder area.')
      } else this.$emit('nextStage')

    }
  }
}
</script>

<style scoped>

</style>
